Index: modules/dnet-openaireplus-profiles/trunk/src/main/resources/eu/dnetlib/test/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/xslt_cleaning_datarepo_datacite.xml
===================================================================
--- modules/dnet-openaireplus-profiles/trunk/src/main/resources/eu/dnetlib/test/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/xslt_cleaning_datarepo_datacite.xml	(revision 59894)
+++ modules/dnet-openaireplus-profiles/trunk/src/main/resources/eu/dnetlib/test/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/xslt_cleaning_datarepo_datacite.xml	(revision 59895)
@@ -12,7 +12,15 @@
 			<SCRIPT>
 				<TITLE>xslt_cleaning_datarepo_datacite</TITLE>
 				<CODE>
-					<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:oaf="http://namespace.openaire.eu/oaf" xmlns:oai="http://www.openarchives.org/OAI/2.0/" xmlns:TransformationFunction="eu.dnetlib.data.collective.transformation.core.xsl.ext.TransformationFunctionProxy" xmlns:dr="http://www.driver-repository.eu/namespace/dr" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" exclude-result-prefixes="TransformationFunction" extension-element-prefixes="TransformationFunction" version="1.1">
+					<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+									xmlns:oaf="http://namespace.openaire.eu/oaf"
+									xmlns:oai="http://www.openarchives.org/OAI/2.0/"
+									xmlns:datacite="http://datacite.org/schema/kernel-3"
+									xmlns:TransformationFunction="eu.dnetlib.data.collective.transformation.core.xsl.ext.TransformationFunctionProxy"
+									xmlns:dr="http://www.driver-repository.eu/namespace/dr"
+									exclude-result-prefixes="TransformationFunction"
+									extension-element-prefixes="TransformationFunction"
+									version="2.0">
 						<xsl:param name="varOfficialName"/>
 						<xsl:param name="varDsType"/>
 						<xsl:param name="varDataSourceId"/>
@@ -281,10 +289,10 @@
 							</xsl:copy>
 						</xsl:template>
 						<xsl:template match="//*[local-name() = 'resource']/*[local-name()='alternateIdentifiers']">
-							<xsl:element name="alternateIdentifiers" namespace="http://www.openarchives.org/OAI/2.0/">
+							<xsl:element name="alternateIdentifiers" namespace="http://datacite.org/schema/kernel-3">
 								<xsl:copy-of select="./*"/>
 								<xsl:if test="//*[local-name() = 'resource']/*[local-name()='identifier'][@identifierType='Handle']">
-									<xsl:element name="alternateIdentifier" namespace="http://www.openarchives.org/OAI/2.0/">
+									<xsl:element name="alternateIdentifier" namespace="http://datacite.org/schema/kernel-3">
 										<xsl:attribute name="alternateIdentifierType">
 											<xsl:value-of select="'URL'"/>
 										</xsl:attribute>
@@ -292,7 +300,7 @@
 									</xsl:element>
 								</xsl:if>
 								<xsl:if test="//*[local-name() = 'resource']/*[local-name()='identifier'][@identifierType='URN']">
-									<xsl:element name="alternateIdentifier" namespace="http://www.openarchives.org/OAI/2.0/">
+									<xsl:element name="alternateIdentifier" namespace="http://datacite.org/schema/kernel-3">
 										<xsl:attribute name="alternateIdentifierType">
 											<xsl:value-of select="'URL'"/>
 										</xsl:attribute>
@@ -300,7 +308,7 @@
 									</xsl:element>
 								</xsl:if>
 								<xsl:if test="//*[local-name() = 'resource']/*[local-name()='identifier'][@identifierType='DOI']">
-									<xsl:element name="alternateIdentifier" namespace="http://www.openarchives.org/OAI/2.0/">
+									<xsl:element name="alternateIdentifier" namespace="http://datacite.org/schema/kernel-3">
 										<xsl:attribute name="alternateIdentifierType">
 											<xsl:value-of select="'URL'"/>
 										</xsl:attribute><!--
@@ -314,7 +322,7 @@
 						</xsl:template>
 						<xsl:template match="//*[local-name() = 'resource']/*[local-name()='identifier']"><!-- cut off DOI resolver prefix to just get the number part -->
 							<xsl:if test=".[@identifierType='DOI'][contains(., '://dx.doi.org/')]">
-								<xsl:element name="identifier" namespace="http://www.openarchives.org/OAI/2.0/">
+								<xsl:element name="identifier" namespace="http://datacite.org/schema/kernel-3">
 									<xsl:attribute name="identifierType">
 										<xsl:value-of select="'DOI'"/>
 									</xsl:attribute>
@@ -325,9 +333,9 @@
 					<xsl:copy-of select="."/>
 					-->
 							<xsl:if test="not(//*[local-name() = 'resource']/*[local-name()='alternateIdentifiers'])">
-								<xsl:element name="alternateIdentifiers" namespace="http://www.openarchives.org/OAI/2.0/">
+								<xsl:element name="alternateIdentifiers" namespace="http://datacite.org/schema/kernel-3">
 									<xsl:if test=".[@identifierType='Handle']">
-										<xsl:element name="alternateIdentifier" namespace="http://www.openarchives.org/OAI/2.0/">
+										<xsl:element name="alternateIdentifier" namespace="http://datacite.org/schema/kernel-3">
 											<xsl:attribute name="alternateIdentifierType">
 												<xsl:value-of select="'URL'"/>
 											</xsl:attribute>
@@ -335,7 +343,7 @@
 										</xsl:element>
 									</xsl:if>
 									<xsl:if test=".[@identifierType='URN']">
-										<xsl:element name="alternateIdentifier" namespace="http://www.openarchives.org/OAI/2.0/">
+										<xsl:element name="alternateIdentifier" namespace="http://datacite.org/schema/kernel-3">
 											<xsl:attribute name="alternateIdentifierType">
 												<xsl:value-of select="'URL'"/>
 											</xsl:attribute>
@@ -343,7 +351,7 @@
 										</xsl:element>
 									</xsl:if>
 									<xsl:if test=".[@identifierType='DOI']">
-										<xsl:element name="alternateIdentifier" namespace="http://www.openarchives.org/OAI/2.0/">
+										<xsl:element name="alternateIdentifier" namespace="http://datacite.org/schema/kernel-3">
 											<xsl:attribute name="alternateIdentifierType">
 												<xsl:value-of select="'URL'"/>
 											</xsl:attribute>