Index: modules/uoa-authorization-library/branches/redis/src/main/java/eu/dnetlib/uoaauthorizationlibrary/utils/UserInfo.java
===================================================================
--- modules/uoa-authorization-library/branches/redis/src/main/java/eu/dnetlib/uoaauthorizationlibrary/utils/UserInfo.java	(revision 60129)
+++ modules/uoa-authorization-library/branches/redis/src/main/java/eu/dnetlib/uoaauthorizationlibrary/utils/UserInfo.java	(nonexistent)
@@ -1,63 +0,0 @@
-package eu.dnetlib.uoaauthorizationlibrary.utils;
-
-import java.util.ArrayList;
-import java.util.List;
-
-public class UserInfo {
-    String sub;
-    String name;
-    String email;
-    List<String> edu_person_entitlements = new ArrayList<String>();
-    List<String> roles = new ArrayList<>();
-
-    @Override
-    public String toString() {
-        return "UserInfo{" +
-                "sub='" + sub + '\'' +
-                "name='" + name + '\'' +
-                ", email='" + email + '\'' +
-                ", edu_person_entitlements=" + edu_person_entitlements +
-                ", roles=" + roles +
-                '}';
-    }
-
-    public String getSub() {
-        return sub;
-    }
-
-    public void setSub(String sub) {
-        this.sub = sub;
-    }
-
-    public String getName() {
-        return name;
-    }
-
-    public void setName(String name) {
-        this.name = name;
-    }
-
-    public String getEmail() {
-        return email;
-    }
-
-    public void setEmail(String email) {
-        this.email = email;
-    }
-
-    public List<String> getEdu_person_entitlements() {
-        return edu_person_entitlements;
-    }
-
-    public void setEdu_person_entitlements(List<String> edu_person_entitlements) {
-        this.edu_person_entitlements = edu_person_entitlements;
-    }
-
-    public List<String> getRoles() {
-        return roles;
-    }
-
-    public void setRoles(List<String> roles) {
-        this.roles = roles;
-    }
-}
Index: modules/uoa-authorization-library/branches/redis/src/main/java/eu/dnetlib/uoaauthorizationlibrary/utils/AuthorizationUtils.java
===================================================================
--- modules/uoa-authorization-library/branches/redis/src/main/java/eu/dnetlib/uoaauthorizationlibrary/utils/AuthorizationUtils.java	(revision 60129)
+++ modules/uoa-authorization-library/branches/redis/src/main/java/eu/dnetlib/uoaauthorizationlibrary/utils/AuthorizationUtils.java	(nonexistent)
@@ -1,117 +0,0 @@
-package eu.dnetlib.uoaauthorizationlibrary.utils;
-
-import com.google.gson.Gson;
-import eu.dnetlib.uoaauthorizationlibrary.configuration.SecurityConfig;
-import org.apache.log4j.Logger;
-import org.springframework.beans.factory.annotation.Autowired;
-import org.springframework.stereotype.Component;
-
-import javax.servlet.http.Cookie;
-import javax.servlet.http.HttpServletRequest;
-import java.io.BufferedReader;
-import java.io.InputStreamReader;
-import java.io.StringReader;
-import java.net.HttpURLConnection;
-import java.net.URL;
-
-@Component
-public class AuthorizationUtils {
-    private final Logger log = Logger.getLogger(this.getClass());
-    private SecurityConfig securityConfig;
-
-    @Autowired
-    AuthorizationUtils(SecurityConfig securityConfig) {
-        this.securityConfig = securityConfig;
-    }
-
-    public String getToken(HttpServletRequest request) {
-        return this.getCookie(request, "AccessToken");
-    }
-
-    public boolean checkCookies(HttpServletRequest request) {
-        boolean valid = true;
-        String cookieValue = this.getCookie(request, "AccessToken");
-        if (cookieValue == null || cookieValue.isEmpty()) {
-            log.info("no cookie available ");
-            valid = false;
-        }
-        return valid;
-    }
-
-    private String getCookie(HttpServletRequest request, String cookieName) {
-        if (request.getCookies() == null) {
-            return null;
-        }
-        for (Cookie c : request.getCookies()) {
-            if (c.getName().equals(cookieName)) {
-                return c.getValue();
-            }
-
-        }
-        return null;
-    }
-
-    public UserInfo getUserInfo(String accessToken) {
-        String url = securityConfig.getUserInfoUrl() + accessToken;
-        try {
-            URL obj = new URL(url);
-            HttpURLConnection con = (HttpURLConnection) obj.openConnection();
-            if (con.getResponseCode() != 200) {
-                log.debug("User info response code is: " + con.getResponseCode());
-                return null;
-            }
-            BufferedReader in = new BufferedReader(new InputStreamReader(con.getInputStream()));
-            StringBuilder response = new StringBuilder();
-            String inputLine;
-            while ((inputLine = in.readLine()) != null) {
-                response.append(inputLine).append("\n");
-            }
-            in.close();
-            return json2UserInfo(response.toString());
-        } catch (Exception e) {
-            log.error("An error occured while trying to fetch user info ", e);
-            return null;
-        }
-    }
-
-    private UserInfo json2UserInfo(String json) {
-        if (json == null) {
-            return null;
-        }
-        BufferedReader br = new BufferedReader(new StringReader(json));
-        //convert the json string back to object
-        Gson gson = new Gson();
-        UserInfo userInfo = null;
-        try {
-            userInfo = gson.fromJson(br, UserInfo.class);
-        } catch (Exception e) {
-            log.debug("Error in parsing json response. Given json is : " + json, e);
-            return null;
-        }
-        try {
-            if (userInfo != null && userInfo.getEdu_person_entitlements() != null) {
-                for (int i = 0; i < userInfo.getEdu_person_entitlements().size(); i++) {
-                    String role = userInfo.getEdu_person_entitlements().get(i);
-                    role = role.split(":")[role.split(":").length - 1];
-                    role = role.replace("+", " ");
-                    userInfo.getEdu_person_entitlements().set(i, role);
-                }
-            }
-        } catch (Exception e) {
-            log.debug("Error in parsing  Edu_person_entitlements : ", e);
-            return null;
-        }
-        return userInfo;
-    }
-
-    public boolean isAuthorized(String token) {
-        UserInfo userInfo = getUserInfo(token);
-        if (userInfo != null) {
-            return true;
-        } else {
-            log.debug(" User has no Valid UserInfo");
-            return false;
-        }
-
-    }
-}
Index: modules/uoa-authorization-library/branches/redis/src/main/java/eu/dnetlib/uoaauthorizationlibrary/configuration/SecurityConfig.java
===================================================================
--- modules/uoa-authorization-library/branches/redis/src/main/java/eu/dnetlib/uoaauthorizationlibrary/configuration/SecurityConfig.java	(revision 60129)
+++ modules/uoa-authorization-library/branches/redis/src/main/java/eu/dnetlib/uoaauthorizationlibrary/configuration/SecurityConfig.java	(nonexistent)
@@ -1,27 +0,0 @@
-package eu.dnetlib.uoaauthorizationlibrary.configuration;
-
-import org.springframework.boot.context.properties.ConfigurationProperties;
-
-@ConfigurationProperties("authorization.security")
-public class SecurityConfig {
-
-    private String userInfoUrl;
-    private String originServer;
-
-    public String getUserInfoUrl() {
-        return userInfoUrl;
-    }
-
-    public void setUserInfoUrl(String userInfoUrl) {
-        this.userInfoUrl = userInfoUrl;
-    }
-
-    public String getOriginServer() {
-        return originServer;
-    }
-
-    public void setOriginServer(String originServer) {
-        this.originServer = originServer;
-    }
-
-}
Index: modules/uoa-authorization-library/branches/redis/src/main/java/eu/dnetlib/uoaauthorizationlibrary/security/AuthorizationProvider.java
===================================================================
--- modules/uoa-authorization-library/branches/redis/src/main/java/eu/dnetlib/uoaauthorizationlibrary/security/AuthorizationProvider.java	(revision 60129)
+++ modules/uoa-authorization-library/branches/redis/src/main/java/eu/dnetlib/uoaauthorizationlibrary/security/AuthorizationProvider.java	(nonexistent)
@@ -1,28 +0,0 @@
-package eu.dnetlib.uoaauthorizationlibrary.security;
-
-import org.springframework.beans.factory.annotation.Autowired;
-import org.springframework.security.authentication.UsernamePasswordAuthenticationToken;
-import org.springframework.security.core.Authentication;
-import org.springframework.security.core.userdetails.UserDetails;
-import org.springframework.security.core.userdetails.UsernameNotFoundException;
-import org.springframework.stereotype.Component;
-
-@Component
-public class AuthorizationProvider {
-
-    private UserDetailsServiceImpl userDetailsService;
-
-    @Autowired
-    AuthorizationProvider(UserDetailsServiceImpl userDetailsService) {
-        this.userDetailsService = userDetailsService;
-    }
-
-    public Authentication getAuthentication(String token) {
-        try {
-            UserDetails userDetails = userDetailsService.loadUserByUsername(token);
-            return new UsernamePasswordAuthenticationToken(userDetails, "", userDetails.getAuthorities());
-        } catch (UsernameNotFoundException e) {
-            return null;
-        }
-    }
-}
Index: modules/uoa-authorization-library/branches/redis/src/main/java/eu/dnetlib/uoaauthorizationlibrary/security/AuthorizationFilterConfigurer.java
===================================================================
--- modules/uoa-authorization-library/branches/redis/src/main/java/eu/dnetlib/uoaauthorizationlibrary/security/AuthorizationFilterConfigurer.java	(revision 60129)
+++ modules/uoa-authorization-library/branches/redis/src/main/java/eu/dnetlib/uoaauthorizationlibrary/security/AuthorizationFilterConfigurer.java	(nonexistent)
@@ -1,32 +0,0 @@
-package eu.dnetlib.uoaauthorizationlibrary.security;
-
-import eu.dnetlib.uoaauthorizationlibrary.utils.AuthorizationUtils;
-import org.springframework.beans.factory.annotation.Autowired;
-import org.springframework.security.config.annotation.SecurityConfigurerAdapter;
-import org.springframework.security.config.annotation.web.builders.HttpSecurity;
-import org.springframework.security.web.DefaultSecurityFilterChain;
-import org.springframework.security.web.authentication.UsernamePasswordAuthenticationFilter;
-
-public class AuthorizationFilterConfigurer extends SecurityConfigurerAdapter<DefaultSecurityFilterChain, HttpSecurity> {
-
-    private AuthorizationProvider authorizationProvider;
-    private AuthorizationUtils utils;
-
-    @Override
-    public void init(HttpSecurity http) throws Exception {
-        http.csrf().disable();
-    }
-
-    @Autowired
-    public AuthorizationFilterConfigurer(AuthorizationProvider authorizationProvider, AuthorizationUtils utils) {
-        this.authorizationProvider = authorizationProvider;
-        this.utils = utils;
-    }
-
-    @Override
-    public void configure(HttpSecurity http) throws Exception {
-        AuthorizationFilter customFilter = new AuthorizationFilter(authorizationProvider, utils);
-        http.addFilterBefore(customFilter, UsernamePasswordAuthenticationFilter.class);
-    }
-
-}
Index: modules/uoa-authorization-library/branches/redis/src/main/java/eu/dnetlib/uoaauthorizationlibrary/security/AuthorizationFilter.java
===================================================================
--- modules/uoa-authorization-library/branches/redis/src/main/java/eu/dnetlib/uoaauthorizationlibrary/security/AuthorizationFilter.java	(revision 60129)
+++ modules/uoa-authorization-library/branches/redis/src/main/java/eu/dnetlib/uoaauthorizationlibrary/security/AuthorizationFilter.java	(nonexistent)
@@ -1,52 +0,0 @@
-package eu.dnetlib.uoaauthorizationlibrary.security;
-
-import eu.dnetlib.uoaauthorizationlibrary.utils.AuthorizationUtils;
-import org.apache.log4j.Logger;
-import org.springframework.beans.factory.annotation.Autowired;
-import org.springframework.http.HttpStatus;
-import org.springframework.security.core.Authentication;
-import org.springframework.security.core.context.SecurityContextHolder;
-import org.springframework.stereotype.Component;
-import org.springframework.web.filter.GenericFilterBean;
-
-import javax.servlet.*;
-import javax.servlet.http.HttpServletRequest;
-import javax.servlet.http.HttpServletResponse;
-import java.io.IOException;
-
-@Component
-public class AuthorizationFilter implements Filter {
-
-    private AuthorizationProvider authorizationProvider;
-    private AuthorizationUtils utils;
-    private final Logger log = Logger.getLogger(this.getClass());
-
-    @Autowired
-    AuthorizationFilter(AuthorizationProvider authorizationProvider, AuthorizationUtils utils) {
-        this.authorizationProvider = authorizationProvider;
-        this.utils = utils;
-    }
-
-    @Override
-    public void init(FilterConfig filterConfig) throws ServletException {
-
-    }
-
-    @Override
-    public void doFilter(ServletRequest req, ServletResponse res, FilterChain filterChain) throws IOException, ServletException {
-        HttpServletRequest request = (HttpServletRequest) req;
-        String token = utils.getToken(request);
-        if (token != null) {
-            Authentication auth = authorizationProvider.getAuthentication(token);
-            if(auth != null) {
-                SecurityContextHolder.getContext().setAuthentication(auth);
-            }
-        }
-        filterChain.doFilter(req, res);
-    }
-
-    @Override
-    public void destroy() {
-
-    }
-}
Index: modules/uoa-authorization-library/branches/redis/src/main/java/eu/dnetlib/uoaauthorizationlibrary/security/UserDetailsServiceImpl.java
===================================================================
--- modules/uoa-authorization-library/branches/redis/src/main/java/eu/dnetlib/uoaauthorizationlibrary/security/UserDetailsServiceImpl.java	(revision 60129)
+++ modules/uoa-authorization-library/branches/redis/src/main/java/eu/dnetlib/uoaauthorizationlibrary/security/UserDetailsServiceImpl.java	(nonexistent)
@@ -1,52 +0,0 @@
-package eu.dnetlib.uoaauthorizationlibrary.security;
-
-import eu.dnetlib.uoaauthorizationlibrary.utils.AuthorizationUtils;
-import eu.dnetlib.uoaauthorizationlibrary.utils.UserInfo;
-import org.springframework.beans.factory.annotation.Autowired;
-import org.springframework.security.core.GrantedAuthority;
-import org.springframework.security.core.authority.SimpleGrantedAuthority;
-import org.springframework.security.core.userdetails.UserDetails;
-import org.springframework.security.core.userdetails.UserDetailsService;
-import org.springframework.security.core.userdetails.UsernameNotFoundException;
-import org.springframework.stereotype.Service;
-
-import java.util.ArrayList;
-import java.util.List;
-
-@Service
-public class UserDetailsServiceImpl implements UserDetailsService {
-
-    private AuthorizationUtils utils;
-
-    @Autowired
-    public UserDetailsServiceImpl(AuthorizationUtils utils) {
-        this.utils = utils;
-    }
-
-    private List<GrantedAuthority> getAuthorities(List<String> roles) {
-        List<GrantedAuthority> authorities = new ArrayList<>();
-        for(String role : roles) {
-            authorities.add(new SimpleGrantedAuthority(role));
-        }
-        return authorities;
-    }
-
-    @Override
-    public UserDetails loadUserByUsername(String token) throws UsernameNotFoundException {
-        final UserInfo user = utils.getUserInfo(token);
-
-        if (user == null) {
-            throw new UsernameNotFoundException("invalid token: " + token);
-        }
-
-        return org.springframework.security.core.userdetails.User
-                .withUsername(user.getEmail()).password(user.getSub())
-                .authorities(getAuthorities(user.getRoles()))
-                .accountExpired(false)
-                .accountLocked(false)
-                .credentialsExpired(false)
-                .disabled(false)
-                .build();
-    }
-
-}
Index: modules/uoa-authorization-library/branches/redis/src/main/java/eu/dnetlib/uoaauthorizationlibrary/configuration/AuthorizationConfiguration.java
===================================================================
--- modules/uoa-authorization-library/branches/redis/src/main/java/eu/dnetlib/uoaauthorizationlibrary/configuration/AuthorizationConfiguration.java	(revision 60129)
+++ modules/uoa-authorization-library/branches/redis/src/main/java/eu/dnetlib/uoaauthorizationlibrary/configuration/AuthorizationConfiguration.java	(revision 60130)
@@ -1,13 +1,8 @@
 package eu.dnetlib.uoaauthorizationlibrary.configuration;
 
-import org.springframework.boot.context.properties.EnableConfigurationProperties;
-import org.springframework.context.annotation.*;
+import org.springframework.context.annotation.ComponentScan;
+import org.springframework.context.annotation.Configuration;
 
 @Configuration
-//@PropertySources({
-//        @PropertySource("classpath:authorization.properties"),
-//        @PropertySource(value = "classpath:dnet-override.properties", ignoreResourceNotFound = true)
-//})
-@EnableConfigurationProperties({SecurityConfig.class})
 @ComponentScan(basePackages = { "eu.dnetlib.uoaauthorizationlibrary" })
 public class AuthorizationConfiguration { }
Index: modules/uoa-authorization-library/branches/redis/src/main/java/eu/dnetlib/uoaauthorizationlibrary/security/AuthorizationService.java
===================================================================
--- modules/uoa-authorization-library/branches/redis/src/main/java/eu/dnetlib/uoaauthorizationlibrary/security/AuthorizationService.java	(revision 60129)
+++ modules/uoa-authorization-library/branches/redis/src/main/java/eu/dnetlib/uoaauthorizationlibrary/security/AuthorizationService.java	(revision 60130)
@@ -1,6 +1,8 @@
 package eu.dnetlib.uoaauthorizationlibrary.security;
 
 import org.apache.log4j.Logger;
+import org.mitre.openid.connect.model.OIDCAuthenticationToken;
+import org.mitre.openid.connect.model.UserInfo;
 import org.springframework.security.core.Authentication;
 import org.springframework.security.core.GrantedAuthority;
 import org.springframework.security.core.context.SecurityContextHolder;
@@ -14,10 +16,7 @@
 public class AuthorizationService {
     private final Logger log = Logger.getLogger(this.getClass());
 
-
-    public final String SUPER_ADMIN = "SUPER_ADMINISTRATOR";
     public final String PORTAL_ADMIN = "PORTAL_ADMINISTRATOR";
-    public final String USER_ADMIN = "USER_MANAGER";
     public final String ANONYMOUS_USER = "ROLE_ANONYMOUS";
 
     private String mapType(String type) {
@@ -73,9 +72,8 @@
 
     public String getAaiId() {
         Authentication authentication = SecurityContextHolder.getContext().getAuthentication();
-        if(authentication != null) {
-            User user = (User) authentication.getPrincipal();
-            return user.getPassword();
+        if(authentication instanceof OIDCAuthenticationToken) {
+            return ((OIDCAuthenticationToken) authentication).getSub();
         }
         return null;
     }
Index: modules/uoa-authorization-library/branches/redis/src/main/java/eu/dnetlib/uoaauthorizationlibrary/security/WebSecurityConfig.java
===================================================================
--- modules/uoa-authorization-library/branches/redis/src/main/java/eu/dnetlib/uoaauthorizationlibrary/security/WebSecurityConfig.java	(revision 60129)
+++ modules/uoa-authorization-library/branches/redis/src/main/java/eu/dnetlib/uoaauthorizationlibrary/security/WebSecurityConfig.java	(revision 60130)
@@ -1,13 +1,10 @@
 package eu.dnetlib.uoaauthorizationlibrary.security;
 
-import eu.dnetlib.uoaauthorizationlibrary.utils.AuthorizationUtils;
-import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.context.annotation.ComponentScan;
 import org.springframework.security.config.annotation.method.configuration.EnableGlobalMethodSecurity;
 import org.springframework.security.config.annotation.web.builders.HttpSecurity;
 import org.springframework.security.config.annotation.web.configuration.EnableWebSecurity;
 import org.springframework.security.config.annotation.web.configuration.WebSecurityConfigurerAdapter;
-import org.springframework.security.config.http.SessionCreationPolicy;
 
 @EnableGlobalMethodSecurity(prePostEnabled = true, securedEnabled = true)
 @EnableWebSecurity
@@ -14,19 +11,9 @@
 @ComponentScan(basePackages = {"eu.dnetlib.uoaauthorizationlibrary.*"})
 public class WebSecurityConfig extends WebSecurityConfigurerAdapter {
 
-    private AuthorizationProvider authorizationProvider;
-    private AuthorizationUtils utils;
-
-    @Autowired
-    WebSecurityConfig(AuthorizationProvider authorizationProvider, AuthorizationUtils utils) {
-        this.authorizationProvider = authorizationProvider;
-        this.utils = utils;
-    }
-
     @Override
     protected void configure(HttpSecurity http) throws Exception {
-        http.apply(new AuthorizationFilterConfigurer(authorizationProvider, utils));
-        http.sessionManagement().sessionCreationPolicy(SessionCreationPolicy.STATELESS);
+        http.csrf().disable();
         http.authorizeRequests().anyRequest().permitAll();
         http.httpBasic().authenticationEntryPoint(new EntryPoint());
     }
Index: modules/uoa-authorization-library/branches/redis/src/main/java/eu/dnetlib/uoaauthorizationlibrary/security/CorsConfig.java
===================================================================
--- modules/uoa-authorization-library/branches/redis/src/main/java/eu/dnetlib/uoaauthorizationlibrary/security/CorsConfig.java	(revision 60129)
+++ modules/uoa-authorization-library/branches/redis/src/main/java/eu/dnetlib/uoaauthorizationlibrary/security/CorsConfig.java	(revision 60130)
@@ -1,7 +1,5 @@
 package eu.dnetlib.uoaauthorizationlibrary.security;
 
-import eu.dnetlib.uoaauthorizationlibrary.configuration.SecurityConfig;
-import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.context.annotation.Configuration;
 import org.springframework.web.servlet.config.annotation.CorsRegistry;
 import org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter;
@@ -9,13 +7,6 @@
 @Configuration
 public class CorsConfig extends WebMvcConfigurerAdapter {
 
-    SecurityConfig securityConfig;
-
-    @Autowired
-    CorsConfig(SecurityConfig securityConfig) {
-        this.securityConfig = securityConfig;
-    }
-
     @Override
     public void addCorsMappings(CorsRegistry registry) {
         registry.addMapping("/**")
Index: modules/uoa-authorization-library/branches/redis/src/main/java/eu/dnetlib/uoaauthorizationlibrary/security/RedisConfig.java
===================================================================
--- modules/uoa-authorization-library/branches/redis/src/main/java/eu/dnetlib/uoaauthorizationlibrary/security/RedisConfig.java	(nonexistent)
+++ modules/uoa-authorization-library/branches/redis/src/main/java/eu/dnetlib/uoaauthorizationlibrary/security/RedisConfig.java	(revision 60130)
@@ -0,0 +1,47 @@
+package eu.dnetlib.uoaauthorizationlibrary.security;
+
+import org.apache.log4j.Logger;
+import org.springframework.beans.factory.annotation.Value;
+import org.springframework.context.annotation.Bean;
+import org.springframework.context.annotation.Configuration;
+import org.springframework.data.redis.connection.lettuce.LettuceConnectionFactory;
+import org.springframework.session.data.redis.config.annotation.web.http.EnableRedisHttpSession;
+import org.springframework.session.web.http.CookieSerializer;
+import org.springframework.session.web.http.DefaultCookieSerializer;
+
+@Configuration
+@EnableRedisHttpSession
+public class RedisConfig {
+
+    private static final Logger logger = Logger.getLogger(RedisConfig.class);
+
+    @Value("${redis.host:localhost}")
+    private String host;
+
+    @Value("${redis.port:6379}")
+    private String port;
+
+    @Value("${redis.password:#{null}}")
+    private String password;
+
+    @Value("${webbapp.front.domain:.openaire.eu}")
+    private String domain;
+
+    @Bean
+    public LettuceConnectionFactory connectionFactory() {
+        logger.info(String.format("Redis connection listens to %s:%s ",host,port));
+        LettuceConnectionFactory factory = new LettuceConnectionFactory(host,Integer.parseInt(port));
+        if(password != null) factory.setPassword(password);
+        return factory;
+    }
+
+    @Bean
+    public CookieSerializer cookieSerializer() {
+        logger.info("Cookie Serializer: Domain is "+domain);
+        DefaultCookieSerializer serializer = new DefaultCookieSerializer();
+        serializer.setCookieName("openAIRESession"); // <1>
+        serializer.setCookiePath("/"); // <2>
+        serializer.setDomainName(domain);
+        return serializer;
+    }
+}
\ No newline at end of file
Index: modules/uoa-authorization-library/branches/redis/pom.xml
===================================================================
--- modules/uoa-authorization-library/branches/redis/pom.xml	(revision 60129)
+++ modules/uoa-authorization-library/branches/redis/pom.xml	(revision 60130)
@@ -40,6 +40,30 @@
 			<artifactId>spring-boot-starter-security</artifactId>
 		</dependency>
 		<dependency>
+			<groupId>org.springframework.boot</groupId>
+			<artifactId>spring-boot-starter-data-redis</artifactId>
+		</dependency>
+		<dependency>
+			<groupId>org.springframework.session</groupId>
+			<artifactId>spring-session-data-redis</artifactId>
+		</dependency>
+		<dependency>
+			<groupId>biz.paluch.redis</groupId>
+			<artifactId>lettuce</artifactId>
+			<version>4.3.3.Final</version>
+		</dependency>
+		<dependency>
+			<groupId>org.mitre</groupId>
+			<artifactId>openid-connect-client</artifactId>
+			<version>1.3.0</version>
+			<exclusions>
+				<exclusion>
+					<groupId>org.bouncycastle</groupId>
+					<artifactId>bcprov-jdk15on</artifactId>
+				</exclusion>
+			</exclusions>
+		</dependency>
+		<dependency>
 			<groupId>com.google.code.gson</groupId>
 			<artifactId>gson</artifactId>
 			<version>2.8.2</version>