Index: modules/dnet-openaire-users/branches/beta/src/main/java/eu/dnetlib/openaire/usermanagement/RegisteredServicesServlet.java
===================================================================
--- modules/dnet-openaire-users/branches/beta/src/main/java/eu/dnetlib/openaire/usermanagement/RegisteredServicesServlet.java	(revision 60298)
+++ modules/dnet-openaire-users/branches/beta/src/main/java/eu/dnetlib/openaire/usermanagement/RegisteredServicesServlet.java	(revision 60299)
@@ -55,7 +55,7 @@
         try {
             registeredServices = registeredServicesUtils.
                     getRegisteredServiceDao().fetchAllRegisteredServicesByOwner(userId);
-            System.out.println("LOAD REGISTERED SERVICES. " + registeredServices.size());
+            //System.out.println("LOAD REGISTERED SERVICES. " + registeredServices.size());
 
             if (registeredServices.isEmpty()) {
                 request.getSession().setAttribute("showEmptyList", true);
@@ -74,7 +74,7 @@
                 name.append(authentication.getUserInfo().getFamilyName().charAt(0));
                 request.getSession().setAttribute("name", name.toString());
                 request.getSession().setAttribute("reachedLimit", reachedLimit);
-                System.out.println("REACHED LIMIT??? " + reachedLimit);
+                //System.out.println("REACHED LIMIT??? " + reachedLimit);
 
                 request.getSession().setAttribute("services", serviceResponses);
                 request.getSession().setAttribute("keys", serviceKey);
@@ -102,7 +102,7 @@
 
     private String extractJSONJwk(Jwks jwks) {
         Gson gson = new GsonBuilder().setPrettyPrinting().create();
-        System.out.println(gson.toJson(jwks));
+        //System.out.println(gson.toJson(jwks));
         return gson.toJson(jwks);
     }
 
@@ -112,7 +112,7 @@
                 getContext().getAuthentication();
         String id = request.getParameter("id");
 
-        System.out.println("POST " +id);
+        //System.out.println("POST " +id);
 
         if (id!=null && !id.isEmpty()) {
             try {
@@ -120,7 +120,7 @@
 
                 if (!registeredService.getOwner().equals(authentication.getSub())) {
                     request.getSession().setAttribute("message", "You are not allowed to delete the service.");
-                    System.out.println("BLOCKED " + registeredService.getOwner() + " >> " + authentication.getSub());
+                    //System.out.println("BLOCKED " + registeredService.getOwner() + " >> " + authentication.getSub());
                     response.sendRedirect("./registeredServices");
                     return;
                 }
@@ -128,18 +128,18 @@
                 HttpResponse resp = tokenUtils.deleteService(registeredService.getClientId(), registeredService.getRegistrationAccessToken());
 
                 int statusCode = resp.getStatusLine().getStatusCode();
-                System.out.println("STATUS CODE " + statusCode);
+                //System.out.println("STATUS CODE " + statusCode);
 
                 if (statusCode != 204) {
                     logger.error("Unable to delete the service. Status code was " + statusCode);
                     request.getSession().setAttribute("message", "Fail to delete the service. Status " + statusCode);
-                    System.out.println("AAI blocked");
+                    //System.out.println("AAI blocked");
                     response.sendRedirect("./registeredServices");
                     return;
                 } else {
                     registeredServicesUtils.getRegisteredServiceDao().delete(Integer.parseInt(id));
                     request.getSession().setAttribute("success", "The service was successfully deleted.");
-                    System.out.println("HERE HERE");
+                    //System.out.println("HERE HERE");
                 }
 
             } catch (SQLException sqle) {
Index: modules/dnet-openaire-users/branches/beta/src/main/java/eu/dnetlib/openaire/usermanagement/RegisterServiceServlet.java
===================================================================
--- modules/dnet-openaire-users/branches/beta/src/main/java/eu/dnetlib/openaire/usermanagement/RegisterServiceServlet.java	(revision 60298)
+++ modules/dnet-openaire-users/branches/beta/src/main/java/eu/dnetlib/openaire/usermanagement/RegisterServiceServlet.java	(revision 60299)
@@ -54,7 +54,7 @@
         String idParam = request.getParameter("id");
 
         if (idParam != null && !idParam.isEmpty()) { // EDIT CASE
-            System.out.println("In edit");
+            //System.out.println("In edit");
             try {
                 int id = Integer.parseInt(idParam);
                 RegisteredService registeredService = registeredServicesUtils.getRegisteredServiceDao().fetchRegisteredServiceById(id);
@@ -66,13 +66,13 @@
 
                 } else {
                     if (registeredService == null) {
-                        System.out.println("No service found!");
+                        //System.out.println("No service found!");
                         request.getSession().setAttribute("message", "Not valid registered service with given id " + id + ".");
                         response.sendRedirect("./registeredServices");
                         logger.warn("Not valid registered service with " + id + "id.");
 
                     } else {
-                        System.out.println("Not authorized");
+                        //System.out.println("Not authorized");
                         request.getSession().setAttribute("message", "Not authorized to edit the registered service with id " + id + ".");
                         response.sendRedirect("./registeredServices");
                         logger.warn("Not authorized to edit the service with " + id + "id.");
@@ -80,13 +80,13 @@
                 }
 
             } catch (NumberFormatException nfe) {
-                System.out.println("WRONG FORMAT");
+                //System.out.println("WRONG FORMAT");
                 request.getSession().setAttribute("message", "Invalid service id.");
                 response.sendRedirect("./registeredServices");
                 logger.error("Invalid service id.", nfe);
 
             } catch (SQLException sqle) {
-                System.out.println("SQL PROBLEM");
+                //System.out.println("SQL PROBLEM");
                 request.getSession().setAttribute("message", "Could not fetch registered service.");
                 response.sendRedirect("./registeredServices");
                 logger.error("Could not fetch registered service.", sqle);
@@ -106,9 +106,9 @@
     }
 
     private void updateFormFields(HttpServletRequest request, String serviceName, String keyType, ServiceResponse serviceResponse) {
-        System.out.println("UPDATING FORM");
+        //System.out.println("UPDATING FORM");
         request.getSession().setAttribute("first_name", serviceName);
-        System.out.println("Service response URI " + serviceResponse.getJwksUri());
+        //System.out.println("Service response URI " + serviceResponse.getJwksUri());
         request.getSession().setAttribute("key_type", keyType);
         if (keyType != null) {
             if (keyType.equals("uri")) {
@@ -120,7 +120,7 @@
                 } else {
                     key = new Key();
                 }
-                System.out.println("Service response keys " + serviceResponse.getJwksUri());
+                //System.out.println("Service response keys " + serviceResponse.getJwksUri());
                 Gson gson = new GsonBuilder().setPrettyPrinting().create();
                 request.getSession().setAttribute("value", gson.toJson(key));
             }
@@ -137,9 +137,9 @@
         boolean canProceed = true;
 
         String mode = request.getParameter("mode").trim();
-        System.out.println("Mode was " + mode);
+        //System.out.println("Mode was " + mode);
         checkmode(mode);
-        System.out.println("Mode is " + mode);
+        //System.out.println("Mode is " + mode);
 
         String serviceId = request.getParameter("id");
 
@@ -173,7 +173,7 @@
                     request.getSession().setAttribute("value", jwksString);
 
                     if (jwks.getKeys() == null || jwks.getKeys().length == 0) {
-                        System.out.println("Something wrong with the keys.");
+                        //System.out.println("Something wrong with the keys.");
                         request.getSession().setAttribute("value_error", true);
                         canProceed = false;
                     }
@@ -207,7 +207,7 @@
                     serverRequestJSON = createServiceJson(null, name, email, jwks);
                 }
                 if(serverRequestJSON != null) {
-                    System.out.println("SERVER JSON " + serverRequestJSON);
+                    //System.out.println("SERVER JSON " + serverRequestJSON);
                     serverMessage = tokenUtils.registerService(serverRequestJSON);
                     logger.debug(serverMessage);
                     if (serverMessage == null) {
@@ -252,7 +252,7 @@
                     response.sendRedirect("./registeredServices");
 
                 } else {
-                    System.out.println("In edit...");
+                    //System.out.println("In edit...");
                     try {
                         serviceIdInt = Integer.parseInt(serviceId);
                         if (!registeredServicesUtils.isAuthorized(authentication.getSub(), serviceIdInt)) {
@@ -272,13 +272,13 @@
                                     serverRequestJSON = createServiceJson(registeredService.getClientId(), name, email, jwks);
                                 }
                                 if (serverRequestJSON != null) {
-                                    System.out.println("SERVER JSON " + serverRequestJSON);
+                                    //System.out.println("SERVER JSON " + serverRequestJSON);
                                     HttpResponse resp = tokenUtils.updateService(registeredService.getClientId(), serverRequestJSON, registeredService.getRegistrationAccessToken());
                                     if (resp.getStatusLine().getStatusCode() == 200) {
-                                        System.out.println("NAME >>>>" + name);
+                                        //System.out.println("NAME >>>>" + name);
                                         registeredService.setName(name);
 
-                                        System.out.println("Client Id " + registeredService.getClientId());
+                                        //System.out.println("Client Id " + registeredService.getClientId());
                                         try {
                                             registeredServicesUtils.getRegisteredServiceDao().update(registeredService);
                                         } catch (SQLException sqle) {
@@ -392,7 +392,7 @@
         GsonBuilder builder = new GsonBuilder();
         builder.serializeNulls();
         Gson gson = builder.create();
-        System.out.println("Created json " + serviceJSON);
+        //System.out.println("Created json " + serviceJSON);
         return gson.toJson(serviceJSON);
     }
 
@@ -406,7 +406,7 @@
         GsonBuilder builder = new GsonBuilder();
         builder.serializeNulls();
         Gson gson = builder.create();
-        System.out.println("Created json " + serviceJSON);
+        //System.out.println("Created json " + serviceJSON);
         return gson.toJson(serviceJSON);
     }
 
@@ -420,7 +420,7 @@
         GsonBuilder builder = new GsonBuilder();
         builder.serializeNulls();
         Gson gson = builder.create();
-        System.out.println("Created json " + serviceJSON);
+        //System.out.println("Created json " + serviceJSON);
         return gson.toJson(serviceJSON);
     }
 
Index: modules/dnet-openaire-users/branches/beta/src/main/java/eu/dnetlib/openaire/usermanagement/utils/TokenUtils.java
===================================================================
--- modules/dnet-openaire-users/branches/beta/src/main/java/eu/dnetlib/openaire/usermanagement/utils/TokenUtils.java	(revision 60298)
+++ modules/dnet-openaire-users/branches/beta/src/main/java/eu/dnetlib/openaire/usermanagement/utils/TokenUtils.java	(revision 60299)
@@ -39,7 +39,7 @@
         CloseableHttpClient httpclient = HttpClients.createDefault();
         HttpResponse httpResponse = httpclient.execute(httppost);
 
-        System.out.println("HTTP RESPONSE " + httpResponse.getStatusLine().getStatusCode());
+        //System.out.println("HTTP RESPONSE " + httpResponse.getStatusLine().getStatusCode());
         if (httpResponse.getStatusLine().getStatusCode() == 201) {
             //logger.debug(IOUtils.toString(httpResponse.getEntity().getContent(), StandardCharsets.UTF_8.name()));
             return IOUtils.toString(httpResponse.getEntity().getContent(), StandardCharsets.UTF_8.name());
@@ -62,7 +62,7 @@
 
     public HttpResponse deleteService(String serviceId, String registeredAccessToken) throws IOException {
 
-        System.out.println("DELETE " + issuer + "register/"+serviceId);
+        //System.out.println("DELETE " + issuer + "register/"+serviceId);
         HttpDelete httpDelete = new HttpDelete(issuer + "register/"+serviceId);
         httpDelete.setHeader(HttpHeaders.CONTENT_TYPE, "application/json");
         httpDelete.setHeader(HttpHeaders.AUTHORIZATION, "Bearer " + registeredAccessToken);
@@ -72,7 +72,7 @@
     }
 
     public ServiceResponse getRegisteredService(String serviceId, String registeredAccessToken) throws IOException {
-        System.out.println("ISSUER " + issuer);
+        //System.out.println("ISSUER " + issuer);
         HttpGet httpGet = new HttpGet(issuer + "register/"+ serviceId);
         httpGet.setHeader(HttpHeaders.AUTHORIZATION, "Bearer " + registeredAccessToken);
 
@@ -79,7 +79,7 @@
         CloseableHttpClient httpclient = HttpClients.createDefault();
         HttpResponse httpResponse = httpclient.execute(httpGet);
         String registeredService = IOUtils.toString(httpResponse.getEntity().getContent(), StandardCharsets.UTF_8.name());
-        System.out.println(registeredService);
+        //System.out.println(registeredService);
         return new Gson().fromJson(registeredService,ServiceResponse.class);
     }
 
Index: modules/dnet-openaire-users/branches/beta/src/main/java/eu/dnetlib/openaire/usermanagement/utils/RegisteredServicesUtils.java
===================================================================
--- modules/dnet-openaire-users/branches/beta/src/main/java/eu/dnetlib/openaire/usermanagement/utils/RegisteredServicesUtils.java	(revision 60298)
+++ modules/dnet-openaire-users/branches/beta/src/main/java/eu/dnetlib/openaire/usermanagement/utils/RegisteredServicesUtils.java	(revision 60299)
@@ -25,14 +25,10 @@
     }
 
     public boolean isAuthorized(String userid, int id) throws SQLException {
-        System.out.println("I AM HERE....");
         RegisteredService registeredService = registeredServiceDao.fetchRegisteredServiceById(id);
         if (registeredService == null) {
             return false; //no harm in accessing nothing
         }
-        System.out.println("....and HERE");
-        System.out.println(registeredService.getClientId());
-        System.out.println(registeredService.getOwner());
         return registeredService.getOwner().equals(userid);
     }
 
Index: modules/dnet-openaire-users/branches/beta/src/main/java/eu/dnetlib/openaire/usermanagement/utils/RegistryCalls.java
===================================================================
--- modules/dnet-openaire-users/branches/beta/src/main/java/eu/dnetlib/openaire/usermanagement/utils/RegistryCalls.java	(revision 60298)
+++ modules/dnet-openaire-users/branches/beta/src/main/java/eu/dnetlib/openaire/usermanagement/utils/RegistryCalls.java	(revision 60299)
@@ -62,7 +62,13 @@
         params.put("coid", coid);
         params.put("mail", email);
         JsonElement response = httpUtils.get("co_people.json", params);
-        return (response != null) ? response.getAsJsonObject().get("CoPeople").getAsJsonArray().get(0).getAsJsonObject().get("Id").getAsInt() : null;
+        if(response != null) {
+            JsonArray coPeople = response.getAsJsonObject().get("CoPeople").getAsJsonArray();
+            if(coPeople.size() > 0) {
+                return coPeople.get(0).getAsJsonObject().get("Id").getAsInt();
+            }
+        }
+        return null;
     }
 
     /**
Index: modules/dnet-openaire-users/branches/beta/src/main/java/eu/dnetlib/openaire/usermanagement/JwksDeserializer.java
===================================================================
--- modules/dnet-openaire-users/branches/beta/src/main/java/eu/dnetlib/openaire/usermanagement/JwksDeserializer.java	(revision 60298)
+++ modules/dnet-openaire-users/branches/beta/src/main/java/eu/dnetlib/openaire/usermanagement/JwksDeserializer.java	(revision 60299)
@@ -63,8 +63,8 @@
                 "}";
         Jwks jwks = gson.fromJson(jwksJson, Jwks.class);
         for(Key key:jwks.getKeys()) {
-            System.out.println(key.getE());
+            //System.out.println(key.getE());
         }
     }
 }
-*/
\ No newline at end of file
+*/
Index: modules/dnet-openaire-users/branches/beta/src/main/java/eu/dnetlib/openaire/usermanagement/RegisterServlet.java
===================================================================
--- modules/dnet-openaire-users/branches/beta/src/main/java/eu/dnetlib/openaire/usermanagement/RegisterServlet.java	(revision 60298)
+++ modules/dnet-openaire-users/branches/beta/src/main/java/eu/dnetlib/openaire/usermanagement/RegisterServlet.java	(revision 60299)
@@ -67,7 +67,7 @@
         String gRecaptchaResponse = request.getParameter("g-recaptcha-response");
 
         boolean isRecaptchaVerified = VerifyRecaptcha.verify(gRecaptchaResponse, secret);
-        //System.out.println("RESPONSE " + gRecaptchaResponse);
+        ////System.out.println("RESPONSE " + gRecaptchaResponse);
 
         if (organization == null){
             logger.info("organization is null");
Index: modules/dnet-openaire-users/branches/beta/src/main/java/eu/dnetlib/openaire/usermanagement/PersonalTokenServlet.java
===================================================================
--- modules/dnet-openaire-users/branches/beta/src/main/java/eu/dnetlib/openaire/usermanagement/PersonalTokenServlet.java	(revision 60298)
+++ modules/dnet-openaire-users/branches/beta/src/main/java/eu/dnetlib/openaire/usermanagement/PersonalTokenServlet.java	(revision 60299)
@@ -87,7 +87,7 @@
             HttpResponse response = httpclient.execute(httpDelete);
             if (response.getStatusLine().getStatusCode()!=200) {
                 logger.warn("Could not delete old refresh tokens." + response.getStatusLine().getStatusCode());
-                System.out.println("Could not delete old refresh tokens." + response.getStatusLine().getStatusCode());//TODO should I throw exception?
+                //System.out.println("Could not delete old refresh tokens." + response.getStatusLine().getStatusCode());//TODO should I throw exception?
             }
         }
     }
@@ -111,7 +111,6 @@
             }
         }
 
-        System.out.println("Old refresh tokens... " + oldRefreshTokens);
         return oldRefreshTokens;
     }
-}
\ No newline at end of file
+}
Index: modules/dnet-openaire-users/branches/beta/src/main/webapp/register.jsp
===================================================================
--- modules/dnet-openaire-users/branches/beta/src/main/webapp/register.jsp	(revision 60298)
+++ modules/dnet-openaire-users/branches/beta/src/main/webapp/register.jsp	(revision 60299)
@@ -69,12 +69,12 @@
                                             <span id="server_error" class="uk-text-danger uk-text-small uk-float-left">${message}</span>
                                             <c:remove var="message" scope="session" />
                                             <div class="form-group">
-                                                <span class="msg_first_name_error uk-text-danger uk-text-small uk-float-left" style='${msg_first_name_error_display}'>Please enter your first name.</span>
+                                                <span class="msg_first_name_error uk-text-danger uk-text-small uk-float-left" style="display:none;">Please enter your first name.</span>
                                                 <input id="first_name" name="first_name" type="text" placeholder="First name (*)" class="form-control" value=${first_name}></div>
                                                 <c:remove var="msg_first_name_error_display" scope="session" />
                                                 <c:remove var="first_name" scope="session" />
                                             <div class="form-group">
-                                                <span class="msg_last_name_error uk-text-danger uk-text-small uk-float-left" style="${msg_last_name_error_display}">Please enter your last name.</span>
+                                                <span class="msg_last_name_error uk-text-danger uk-text-small uk-float-left" style="display:none;">Please enter your last name.</span>
                                                 <input id="last_name" name="last_name" type="text" placeholder="Last name (*)" class="form-control" value=${last_name}></div>
                                                 <c:remove var="msg_last_name_error_display" scope="session" />
                                                 <c:remove var="last_name" scope="session" />
@@ -96,9 +96,9 @@
                                                 <input id="username" name="username" type="text" placeholder="Username (*)" class="form-control" value=${username}></div>
                                                 <c:remove var="username" scope="session" />
                                             <div class="form-group">
-                                                <span class="msg_email_error uk-text-danger uk-text-small uk-float-left" style="${msg_email_error_display}">Please enter your email.</span>
-                                                <span class="msg_email_validation_error uk-text-danger uk-text-small uk-float-left" style="${msg_email_validation_error_display}">Please enter a valid email.</span>
-                                                <span class="msg_email_conf_error uk-text-danger uk-text-small uk-float-left" style="${msg_email_conf_error_display}">These emails don't match.</span>
+                                                <span class="msg_email_error uk-text-danger uk-text-small uk-float-left" style="display:none;">Please enter your email.</span>
+                                                <span class="msg_email_validation_error uk-text-danger uk-text-small uk-float-left" style="display:none;">Please enter a valid email.</span>
+                                                <span class="msg_email_conf_error uk-text-danger uk-text-small uk-float-left" style="display:none;">These emails don't match.</span>
                                                 <span id="email_server_error" class="uk-text-danger uk-text-small uk-float-left">${email_message}</span>
                                                 <c:remove var="msg_email_conf_error_display" scope="session" />
                                                 <c:remove var="msg_email_validation_error_display" scope="session" />
@@ -110,8 +110,8 @@
                                                 <input id="email_conf" name="email_conf" type="text" placeholder="Confirm email (*)" class="form-control" value=${email_conf}></div>
                                                 <c:remove var="email_conf" scope="session" />
                                             <div class="form-group">
-                                                <span class="msg_password_error uk-text-danger uk-text-small uk-float-left" style="${msg_password_error_display}">Please enter your password.</span>
-                                                <span class="msg_pass_conf_error uk-text-danger uk-text-small uk-float-left" style="${msg_pass_conf_error_display}">These passwords don't match.</span>
+                                                <span class="msg_password_error uk-text-danger uk-text-small uk-float-left" style="display:none;">Please enter your password.</span>
+                                                <span class="msg_pass_conf_error uk-text-danger uk-text-small uk-float-left" style="display:none;">These passwords don't match.</span>
                                                 <p>
                                                 <span class="msg_please_add uk-text-danger uk-text-small uk-float-left" style="display:none">Please add: &nbsp</span></p>
                                                 <span class="msg_lowercase_letter uk-text-danger uk-text-small uk-float-left" style="display:none">A lowercase letter. &nbsp</span>
@@ -119,7 +119,7 @@
                                                 <span class="msg_number uk-text-danger uk-text-small uk-float-left" style="display:none">A number. &nbsp</span>
                                                 <span class="msg_lenght uk-text-danger uk-text-small uk-float-left" style="display:none">Minimum 6 characters. &nbsp</span>
                                                 <p><span class="msg_whitespace uk-text-danger uk-text-small uk-float-left" style="display:none">No white space allowed. &nbsp</span></p>
-                                                <span class="msg_invalid_password  uk-text-danger uk-text-small uk-float-left" style="${msg_invalid_password_display}">The password must
+                                                <span class="msg_invalid_password  uk-text-danger uk-text-small uk-float-left" style="display:none;">The password must
                                                  contain a lowercase letter, a capital (uppercase) letter, a number and must be at least 6 characters long. White space character is not allowed.</span>
                                                 <input id="password" name="password" type="password" placeholder="Password" class="form-control"></div>
                                                 <c:remove var="msg_pass_conf_error_display" scope="session" />
@@ -129,7 +129,7 @@
                                                 <input id="password_conf" name="password_conf" type="password" placeholder="Confirm password" class="form-control"></div>
                                             <div class="uk-margin uk-grid-small uk-child-width-auto uk-grid uk-text-left uk-grid-stack" uk-grid="">
                                                 <div class="uk-width-1-1 uk-text-meta uk-text-danger uk-first-column">(*) Required fields</div>
-                                                <span class="uk-text-danger uk-text-small recaptcha_error" style="${recaptcha_error_display}">You missed the reCAPTCHA validation!</span>
+                                                <span class="uk-text-danger uk-text-small recaptcha_error" style="display:none;">You missed the reCAPTCHA validation!</span>
                                                 <c:remove var="recaptcha_error_display" scope="session" />
                                                 <div class="g-recaptcha" data-sitekey=${applicationScope.sitekey}></div>
                                                 <div class="uk-width-1-1 uk-grid-margin uk-first-column">
Index: modules/dnet-openaire-users/branches/beta/src/main/webapp/WEB-INF/web.xml
===================================================================
--- modules/dnet-openaire-users/branches/beta/src/main/webapp/WEB-INF/web.xml	(revision 60298)
+++ modules/dnet-openaire-users/branches/beta/src/main/webapp/WEB-INF/web.xml	(revision 60299)
@@ -19,7 +19,23 @@
         <listener-class>org.springframework.web.context.ContextLoaderListener</listener-class>
     </listener>
 
+    <filter>
+        <filter-name>encodingFilter</filter-name>
+        <filter-class>org.springframework.web.filter.CharacterEncodingFilter</filter-class>
+        <init-param>
+            <param-name>encoding</param-name>
+            <param-value>UTF-8</param-value>
+        </init-param>
+        <init-param>
+            <param-name>forceEncoding</param-name>
+            <param-value>true</param-value>
+        </init-param>
+    </filter>
 
+    <filter-mapping>
+        <filter-name>encodingFilter</filter-name>
+        <url-pattern>/*</url-pattern>
+    </filter-mapping>
     <servlet>
         <servlet-name>User API</servlet-name>
         <servlet-class>com.sun.jersey.spi.spring.container.servlet.SpringServlet</servlet-class>
Index: modules/dnet-openaire-users/branches/beta/src/main/webapp/overview.jsp
===================================================================
--- modules/dnet-openaire-users/branches/beta/src/main/webapp/overview.jsp	(revision 60298)
+++ modules/dnet-openaire-users/branches/beta/src/main/webapp/overview.jsp	(revision 60299)
@@ -28,7 +28,7 @@
     <link href="images/favicon/favicon.ico" rel="shortcut icon" type="image/vnd.microsoft.icon" />
 </head>
 <body class="" style="">
-<div class="uk-offcanvas-content uk-height-viewport">Ï
+<div class="uk-offcanvas-content uk-height-viewport">
     <!-- MENU STARTS HERE -->
     <jsp:include page="header.jsp"/>
     <!-- CONTENT STARTS HERE -->
Index: modules/dnet-openaire-users/branches/beta/src/main/webapp/personal.jsp
===================================================================
--- modules/dnet-openaire-users/branches/beta/src/main/webapp/personal.jsp	(revision 60298)
+++ modules/dnet-openaire-users/branches/beta/src/main/webapp/personal.jsp	(revision 60299)
@@ -30,6 +30,13 @@
                 console.error('unable to copy text');
             }
         }
+        $(document).ready(function () {
+            document.addEventListener('copy', (event) => {
+                const selection = document.getSelection();
+                event.clipboardData.setData('text/plain', selection.toString().trim());
+                event.preventDefault();
+            });
+        });
     </script>
     <link rel="stylesheet" style="text/css" href="./css/theme.css">
     <link rel="stylesheet" style="text/css" href="./css/custom.css">
Index: modules/dnet-openaire-users/branches/beta/pom.xml
===================================================================
--- modules/dnet-openaire-users/branches/beta/pom.xml	(revision 60298)
+++ modules/dnet-openaire-users/branches/beta/pom.xml	(revision 60299)
@@ -4,16 +4,16 @@
     <parent>
         <groupId>eu.dnetlib</groupId>
         <artifactId>dnet45-container-parent</artifactId>
-        <version>1.0.0-SNAPSHOT</version>
+        <version>1.0.0</version>
     </parent>
     <modelVersion>4.0.0</modelVersion>
     <groupId>eu.dnetlib</groupId>
     <artifactId>dnet-openaire-users</artifactId>
     <packaging>war</packaging>
-    <version>1.0.0-SNAPSHOT</version>
+    <version>1.0.0</version>
     <scm>
         <developerConnection>
-            scm:svn:https://svn.driver.research-infrastructures.eu/driver/dnet40/modules/dnet-openaire-users/branches/redis
+            scm:svn:https://svn.driver.research-infrastructures.eu/driver/dnet40/modules/dnet-openaire-users/branches/beta
         </developerConnection>
     </scm>
     <dependencies>
@@ -20,12 +20,12 @@
         <dependency>
             <groupId>eu.dnetlib</groupId>
             <artifactId>uoa-user-management</artifactId>
-            <version>[2.0.0-SNAPSHOT, 3.0.0)</version>
+            <version>2.0.2</version>
         </dependency>
         <dependency>
             <groupId>eu.dnetlib</groupId>
             <artifactId>uoa-login-core</artifactId>
-            <version>[1.0.0-SNAPSHOT, 2.0.0)</version>
+	    <version>1.0.0</version>
         </dependency>
         <dependency>
             <groupId>org.slf4j</groupId>
@@ -58,11 +58,6 @@
             <version>3.0.1</version>
         </dependency>
         <dependency>
-            <groupId>eu.dnetlib</groupId>
-            <artifactId>uoa-user-management</artifactId>
-            <version>2.0.0-SNAPSHOT</version>
-        </dependency>
-        <dependency>
             <groupId>org.springframework.security</groupId>
             <artifactId>spring-security-core</artifactId>
             <version>4.2.1.RELEASE</version>